#ifndef ADDPIC_H
#define ADDPIC_H

#include <QWidget>
#include "CBaseWidget.h"
#include "wxAnswer.h"
#include "CHttpBll.h"
#include "wPictureList.h"

namespace Ui {
class addPic;
}

class addPic : public CBaseWidget
{
    Q_OBJECT
signals:
    void answerChanged(bool bAnswer);
public:
    explicit addPic(int nOrder, QWidget *parent = nullptr);
    ~addPic();
    int setUI(const int nWidth);
    int widgetType();
    QString getFileUrl();
    void setAnswer(QString sAnswer);
private slots:
    void on_btn_addPic_clicked();

private:
    Ui::addPic *ui;
    int m_nOrder;
    std::shared_ptr<wxAnswer> m_pWxAnswer;
    QString m_sFileUrls;
    std::shared_ptr<wPictureList> m_picList;
};

#endif // ADDPIC_H
